"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.axiosInstance = void 0;
const axios_1 = require("axios");
const axios_retry_1 = require("axios-retry");
const axiosInstance = axios_1.default.create({
    timeout: 5000,
});
exports.axiosInstance = axiosInstance;
(0, axios_retry_1.default)(axiosInstance, {
    retries: 3,
    retryCondition: () => true,
    retryDelay: axios_retry_1.default.exponentialDelay,
});
//# sourceMappingURL=axios.js.map